Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.db
Class JbpmSession

    java.lang.Object
      org.jbpm.db.JbpmSession

Deprecated. use `org.jbpm.tc.ContextBuilder` and `org.jbpm.tc.db.JbpmSessionContext` instead.

    public class JbpmSession

extends java.lang.Object

represents the connection to the jbpm database. You can obtain a DbSession with

     DbSession dbSession = dbSessionFactory.openDbSession();

or

     Connection jdbcConnection = ...;
     DbSession dbSession = dbSessionFactory.openDbSession(jdbcConnection);

The actual database operations are defined in the module sessions :

- `GraphSession`
- `TaskMgmtSession`
- `LoggingSession`
- `org.jbpm.db.FileSession`

The easiest way to obtain the operations is like this :

-     jbpmSession.getGraphSession().someGraphDbMethod(...)

-     jbpmSession.getTaskMgmtSession().someTaskDbMethod(...)

-     jbpmSession.getLoggingSession().someLoggingDbMethod(...)

-     jbpmSession.getContextSession().someFileDbMethod(...)

-     jbpmSession.getFileSession().someFileDbMethod(...)

Constructor Summary
`JbpmSession(JbpmSessionFactory jbpmSessionFactory, org.hibernate.Session session)` Deprecated.
`JbpmSession(org.hibernate.Session session)` Deprecated.

Method Summary
`void` | `beginTransaction()` Deprecated.
`void` | `close()` Deprecated.
`void` | `commitTransaction()` Deprecated.
`void` | `commitTransactionAndClose()` Deprecated.
`java.sql.Connection` | `getConnection()` Deprecated.
`ContextSession` | `getContextSession()` Deprecated.
`static JbpmSession` | `getCurrentJbpmSession()` Deprecated. use `org.jbpm.tc.db.JbpmSessionContext` instead.
`GraphSession` | `getGraphSession()` Deprecated.
`JbpmSessionFactory` | `getJbpmSessionFactory()` Deprecated.
`JobSession` | `getJobSession()` Deprecated.
`LoggingSession` | `getLoggingSession()` Deprecated.
`org.hibernate.Session` | `getSession()` Deprecated.
`TaskMgmtSession` | `getTaskMgmtSession()` Deprecated.
`org.hibernate.Transaction` | `getTransaction()` Deprecated.
`void` | `popCurrentSession()` Deprecated.
`void` | `pushCurrentSession()` Deprecated.
`void` | `rollbackTransaction()` Deprecated.
`void` | `rollbackTransactionAndClose()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JbpmSession

    public JbpmSession(JbpmSessionFactory jbpmSessionFactory,
                       org.hibernate.Session session)

  Deprecated.

### JbpmSession

    public JbpmSession(org.hibernate.Session session)

  Deprecated.

Method Detail

### getJbpmSessionFactory

    public JbpmSessionFactory getJbpmSessionFactory()

  Deprecated.

### getConnection

    public java.sql.Connection getConnection()

  Deprecated.

### getSession

    public org.hibernate.Session getSession()

  Deprecated.

### getTransaction

    public org.hibernate.Transaction getTransaction()

  Deprecated.

### beginTransaction

    public void beginTransaction()

  Deprecated.

### commitTransaction

    public void commitTransaction()

  Deprecated.

### rollbackTransaction

    public void rollbackTransaction()

  Deprecated.

### commitTransactionAndClose

    public void commitTransactionAndClose()

  Deprecated.

### rollbackTransactionAndClose

    public void rollbackTransactionAndClose()

  Deprecated.

### getGraphSession

    public GraphSession getGraphSession()

  Deprecated.

### getContextSession

    public ContextSession getContextSession()

  Deprecated.

### getTaskMgmtSession

    public TaskMgmtSession getTaskMgmtSession()

  Deprecated.

### getLoggingSession

    public LoggingSession getLoggingSession()

  Deprecated.

### getJobSession

    public JobSession getJobSession()

  Deprecated.

### close

    public void close()

  Deprecated.

### pushCurrentSession

    public void pushCurrentSession()

  Deprecated.

### getCurrentJbpmSession

    public static JbpmSession getCurrentJbpmSession()

  Deprecated. use `org.jbpm.tc.db.JbpmSessionContext` instead.

### popCurrentSession

    public void popCurrentSession()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD